Assign a team
Assigns an installed team to a workspace on CliqHub’s request. The team is named by
team_id (looked up locally) or by scope + slug; the workspace by workspace_dir or
workspace_id. Otherwise it behaves exactly like Assign a team to a workspace, with the
same errors.
No credential is needed from this machine. From another host, send Authorization: Bearer with a dispatch token CliqHub signed for this daemon or a cliq_tok_… personal token of a user in the daemon’s realm; this only works once the daemon is connected to CliqHub. See Authentication.
POST
/
v1
/
assemble
Assign a team
curl --request POST \
--url http://127.0.0.1:4900/v1/assemble \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"tx_id": "tx-5d2c9a"
}
'import requests
url = "http://127.0.0.1:4900/v1/assemble"
payload = {
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"tx_id": "tx-5d2c9a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f',
team_id: '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4',
tx_id: 'tx-5d2c9a'
})
};
fetch('http://127.0.0.1:4900/v1/assemble', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/assemble",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace_id' => '9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f',
'team_id' => '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4',
'tx_id' => 'tx-5d2c9a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/assemble"
payload := strings.NewReader("{\n \"workspace_id\": \"9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f\",\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\",\n \"tx_id\": \"tx-5d2c9a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/assemble")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace_id\": \"9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f\",\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\",\n \"tx_id\": \"tx-5d2c9a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/assemble")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace_id\": \"9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f\",\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\",\n \"tx_id\": \"tx-5d2c9a\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"workspace_dir": "/home/dev/acme-api",
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"scope": "acme",
"slug": "code-review",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"already_assembled": false,
"team_count": 1
}
}
Authorizations
Not needed from the same machine. From another host: a dispatch JWT CliqHub signed for this daemon, or a cliq_tok_… personal token whose user is in the daemon's realm.
Body
application/json
⌘I
Assign a team
curl --request POST \
--url http://127.0.0.1:4900/v1/assemble \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"tx_id": "tx-5d2c9a"
}
'import requests
url = "http://127.0.0.1:4900/v1/assemble"
payload = {
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"tx_id": "tx-5d2c9a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f',
team_id: '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4',
tx_id: 'tx-5d2c9a'
})
};
fetch('http://127.0.0.1:4900/v1/assemble', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "4900",
CURLOPT_URL => "http://127.0.0.1:4900/v1/assemble",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspace_id' => '9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f',
'team_id' => '3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4',
'tx_id' => 'tx-5d2c9a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:4900/v1/assemble"
payload := strings.NewReader("{\n \"workspace_id\": \"9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f\",\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\",\n \"tx_id\": \"tx-5d2c9a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:4900/v1/assemble")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspace_id\": \"9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f\",\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\",\n \"tx_id\": \"tx-5d2c9a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:4900/v1/assemble")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspace_id\": \"9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f\",\n \"team_id\": \"3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4\",\n \"tx_id\": \"tx-5d2c9a\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"workspace_dir": "/home/dev/acme-api",
"workspace_id": "9b2e6f10-4c3a-4e7d-8f21-6a5b4c3d2e1f",
"scope": "acme",
"slug": "code-review",
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4",
"already_assembled": false,
"team_count": 1
}
}